Bug 560169 - Review Request: bytelist - A java library for lists of bytes
Review Request: bytelist - A java library for lists of bytes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mo Morsi
Fedora Extras Quality Assurance
:
: 561473 (view as bug list)
Depends On: 560170
Blocks: 541638 560172 561484
  Show dependency treegraph
 
Reported: 2010-01-29 21:17 EST by Victor G. Vasilyev
Modified: 2010-02-11 15:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-11 15:10:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mmorsi: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Victor G. Vasilyev 2010-01-29 21:17:59 EST
Spec URL: http://victorv.fedorapeople.org/files/bytelist.spec
SRPM URL: http://victorv.fedorapeople.org/files/bytelist-1.0.3-1.fc13.src.rpm
Description:
A small java library for manipulating lists of bytes.


This review request has been filed, because the package was last updated more than three months ago and it is orphaned:
https://admin.fedoraproject.org/pkgdb/packages/name/bytelist
Comment 1 Thomas Spura 2010-02-04 08:28:30 EST
*** Bug 561473 has been marked as a duplicate of this bug. ***
Comment 2 Mo Morsi 2010-02-08 14:11:07 EST
Looks good for most part, builds find in mock and passes most review guidelines. 

A couple of specifics though:

The following line doesn't work as intended:
find -name '*.jar' -o -name '*.class' -exec rm -f '{}' \;

You can replace it w/ this:
find \( -name '*.jar' -o -name '*.class' \) -exec rm -rf {} \;


Also I was able to compile the bytelist rpm w/ the java-gcj features. See the guidelines / my bytelist spec for how to do so:

http://fedoraproject.org/wiki/Packaging/GCJGuidelines
http://mo.morsi.org/files/jruby/bytelist.spec


As far as the changelog you have a typo, "Jun 2010" should be "Jan 2010". 

Also why did you remove the previous entries from the changelog
http://cvs.fedoraproject.org/viewvc/rpms/bytelist/F-11/bytelist.spec?view=markup
Comment 3 Victor G. Vasilyev 2010-02-08 20:14:24 EST
(In reply to comment #2)
> The following line doesn't work as intended:
> find -name '*.jar' -o -name '*.class' -exec rm -f '{}' \;
> 
> You can replace it w/ this:
> find \( -name '*.jar' -o -name '*.class' \) -exec rm -rf {} \;
>
fixed according to the Specfile Template for ant
https://fedoraproject.org/wiki/Packaging:Java#ant_2
 
> 
> Also I was able to compile the bytelist rpm w/ the java-gcj features. See the
> guidelines / my bytelist spec for how to do so:
> 
> http://fedoraproject.org/wiki/Packaging/GCJGuidelines
> http://mo.morsi.org/files/jruby/bytelist.spec
> 
Clarification why the gcj bits was removed is here:
https://bugzilla.redhat.com/show_bug.cgi?id=560170#c5
Also, please note, the Specfile Template for ant doesn't contain gcj bits.

> 
> As far as the changelog you have a typo, "Jun 2010" should be "Jan 2010". 
> 
fixed.

> Also why did you remove the previous entries from the changelog
> http://cvs.fedoraproject.org/viewvc/rpms/bytelist/F-11/bytelist.spec?view=markup    
fixed.

The second release is prepared for review:
Spec URL: http://victorv.fedorapeople.org/files/bytelist.spec
SRPM URL: http://victorv.fedorapeople.org/files/bytelist-1.0.3-2.fc13.src.rpm
Comment 4 Mo Morsi 2010-02-10 14:26:32 EST
> The second release is prepared for review:
> Spec URL: http://victorv.fedorapeople.org/files/bytelist.spec
> SRPM URL: http://victorv.fedorapeople.org/files/bytelist-1.0.3-2.fc13.src.rpm    

Everything looks good. Package is fully compliant w/ guidelines and builds fine in mock when jcodings is installed.

APPROVED

Please follow http://fedoraproject.org/wiki/CVSAdminProcedure and import
the package. Close this bug as RAWHIDE once it's been successfully imported
and built.
Comment 5 Victor G. Vasilyev 2010-02-10 15:16:21 EST
Package Change Request
======================
Package Name: bytelist
New Branches: 
Owners: mmorsi victorv
Updated Description: A java library for lists of bytes


The package https://admin.fedoraproject.org/pkgdb/packages/name/bytelist
exists, but has been orphaned and deprecated.
Comment 6 Kevin Fenzi 2010-02-11 01:18:55 EST
cvs done. 

Note that you will need to file a bug in the rel-eng track asking for this package to be unblocked now before it will build in rawhide.
Comment 7 Victor G. Vasilyev 2010-02-11 05:16:33 EST
cvs import done.

https://fedorahosted.org/rel-eng/ticket/3377
Comment 8 Victor G. Vasilyev 2010-02-11 15:10:46 EST
koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1978401

Note You need to log in before you can comment on or make changes to this bug.